## org.eclipse.datatools.modelbase.sql.query
Interface ValueExpressionCaseElse

All Superinterfaces:
  SQLObject, SQLQueryObject

All Known Implementing Classes:
  ValueExpressionCaseElseImpl

public interface ValueExpressionCaseElse
extends SQLQueryObject

A representation of the model object 'SQL Value Expression Case Else'.

The following features are supported:

- `Value Expr Case`
- `Value Expr`

See Also:
  `SQLQueryModelPackage.getValueExpressionCaseElse()`

Method Summary
`QueryValueExpression` `getValueExpr()` Returns the value of the 'Value Expr' containment reference.
`ValueExpressionCase` `getValueExprCase()` Returns the value of the 'Value Expr Case' container reference.
`void` `setValueExpr(QueryValueExpression value)` Sets the value of the '`Value Expr`' containment reference.
`void` `setValueExprCase(ValueExpressionCase value)` Sets the value of the '`Value Expr Case`' container reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getValueExprCase

    public ValueExpressionCase getValueExprCase()

  Returns the value of the 'Value Expr Case' container reference. It is bidirectional and its opposite is '`Case Else`'.

  If the meaning of the 'Value Expr Case' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Value Expr Case' container reference.
  See Also:
    `setValueExprCase(ValueExpressionCase)`, `SQLQueryModelPackage.getValueExpressionCaseElse_ValueExprCase()`, `ValueExpressionCase.getCaseElse()`

### setValueExprCase

    public void setValueExprCase(ValueExpressionCase value)

  Sets the value of the '`Value Expr Case`' container reference.

  Parameters:
    `value` - the new value of the 'Value Expr Case' container reference.
  See Also:
    `getValueExprCase()`

### getValueExpr

    public QueryValueExpression getValueExpr()

  Returns the value of the 'Value Expr' containment reference. It is bidirectional and its opposite is '`Value Expr Case Else`'.

  If the meaning of the 'Value Expr' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Value Expr' containment reference.
  See Also:
    `setValueExpr(QueryValueExpression)`, `SQLQueryModelPackage.getValueExpressionCaseElse_ValueExpr()`, `QueryValueExpression.getValueExprCaseElse()`

### setValueExpr

    public void setValueExpr(QueryValueExpression value)

  Sets the value of the '`Value Expr`' containment reference.

  Parameters:
    `value` - the new value of the 'Value Expr' containment reference.
  See Also:
    `getValueExpr()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.